Get current occupancy state of all floors in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"floors": [
{
"floor": {
"floorId": 26,
"name": "1st Floor"
},
"occupancy": 150,
"dateTime": "2023-02-20T16:00:00+00:00"
}
]
}Analytics - Workplace Operations
Get current occupancy state of all floors in a building.
This request returns the current occupancy count for each Floor in a given building.
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
GET
/
public
/
api
/
analytics
/
v1
/
workplace
/
building
/
{buildingId}
/
utilization
/
current
/
floor
Get current occupancy state of all floors in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"floors": [
{
"floor": {
"floorId": 26,
"name": "1st Floor"
},
"occupancy": 150,
"dateTime": "2023-02-20T16:00:00+00:00"
}
]
}Authorizations
Path Parameters
The unique ID of a building.
Example:
6
Response
Successful operation
Container for a list of floors with people occupancies.
Show child attributes
Show child attributes

